import { useRequest } from '@/use/useHttp'

// 售后订单列表
export const MpReturnApplyOrderList = () => {
  return useRequest({
    url: '/v2/mp/returnApplyOrder/list',
    method: 'get',
  })
}
// 售后状态枚举
export const MpEnumReturnStage = () => {
  return useRequest({
    url: '/v2/mp/enum/returnStage',
    method: 'get',
  })
}
// 退款类型枚举
export const MpEnumReturnType = () => {
  return useRequest({
    url: '/v2/mp/enum/returnType',
    method: 'get',
  })
}
// 售后详情
export const MpReturnApplyOrder = () => {
  return useRequest({
    url: '/v2/mp/returnApplyOrder',
    method: 'get',
  })
}
// 取消退货
export const ReturnApplyOrderCancel = () => {
  return useRequest({
    url: '/v2/mp/returnApplyOrder/cancel',
    method: 'post',
  })
}
// 售后确认上传附件
export const ReturnApplyOrderUploadAccessory = () => {
  return useRequest({
    url: '/v2/mp/returnApplyOrder/uploadAccessory',
    method: 'put',
  })
}
